﻿package
{
	import flash.display.MovieClip;
	import flash.media.Sound;
	import flash.media.SoundMixer;
	import flash.media.SoundChannel;
	import flash.net.URLRequest;
	import flash.events.ProgressEvent;
	import flash.events.Event;
	import flash.events.IOErrorEvent;
	
	public class Son extends MovieClip
	{
		private var son:Sound;
		private var canal:SoundChannel;

		// le constructeur de la classe
		public function Son() {
			son = new Sound();
			canal = new SoundChannel(); // canal audio pour controler le son
			var requete:URLRequest = new URLRequest("guitare.mp3");
			son.load(requete); // le son est chargé pour toute votre animation
			son.addEventListener(Event.COMPLETE, sonCharge);
			son.addEventListener(IOErrorEvent.IO_ERROR, sonErreur);

			joue();
		}
		

		/**************************************************************************/
		/**************************** P U B L I C *********************************/
		/**************************************************************************/

		public function joue():void {
			canal = son.play(0);
			canal.addEventListener(Event.SOUND_COMPLETE, sonFini);
		}


		public function arrete():void {
			canal.stop();
		}


		/**************************************************************************/
		/************************** P R I V A T E *********************************/
		/**************************************************************************/
		

		private function sonCharge(e:Event):void {
			trace("Le son est chargé !");
		}
		
		
		private function sonFini(e:Event):void {
			trace("le son a fini de jouer !");
		}
		
		private function sonErreur(errorEvent:IOErrorEvent):void {
			trace("Erreur : " + errorEvent.text);
		}

	}
}